summaryrefslogtreecommitdiffstats
path: root/source/xap/electricsheep/electricsheep.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/xap/electricsheep/electricsheep.SlackBuild')
-rwxr-xr-xsource/xap/electricsheep/electricsheep.SlackBuild75
1 files changed, 43 insertions, 32 deletions
diff --git a/source/xap/electricsheep/electricsheep.SlackBuild b/source/xap/electricsheep/electricsheep.SlackBuild
index 8ff65c768..21f7a47dd 100755
--- a/source/xap/electricsheep/electricsheep.SlackBuild
+++ b/source/xap/electricsheep/electricsheep.SlackBuild
@@ -1,7 +1,7 @@
-#!/bin/sh
+#!/bin/bash
# Copyright 2008, 2009 Eric Hameleers, Eindhoven, Netherlands
-# Copyright 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2009, 2018 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Permission to use, copy, modify, and distribute this software for
@@ -32,33 +32,41 @@
# Needs: MPlayer (to display the sheep)
# -----------------------------------------------------------------------------
-PRGNAM=electricsheep
+PKGNAM=electricsheep
VERSION=${VERSION:-20090306}
-BUILD=${BUILD:-4}
+BUILD=${BUILD:-5}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) export ARCH=i486 ;;
+ i?86) export ARCH=i586 ;;
arm*) export ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
*) export ARCH=$( uname -m ) ;;
esac
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
# Where do we look for sources?
-SRCDIR=$(cd $(dirname $0); pwd)
+cd $(dirname $0) ; SRCDIR=$(pwd)
DOCS="COPYING README $SRCDIR/README.slackware"
DOCS_FLAM3="COPYING* README*"
DOCS_FFMPEG="COPYING* CREDITS Changelog MAINTAINERS README"
-SOURCE="$SRCDIR/${PRGNAM}-${VERSION}.tar.xz"
+SOURCE="$SRCDIR/${PKGNAM}-${VERSION}.tar.xz"
SRCURL=""
# Place to build (TMP) package (PKG) and output (OUTPUT) the program:
TMP=${TMP:-/tmp/build}
-PKG=$TMP/package-$PRGNAM
+PKG=$TMP/package-$PKGNAM
OUTPUT=${OUTPUT:-/tmp}
# Use the src_checkout() function if no downloadable tarball exists.
@@ -98,13 +106,13 @@ src_checkout() {
# Exit the script on errors:
set -e
-trap 'echo "$0 FAILED at line ${LINENO}" | tee $OUTPUT/error-${PRGNAM}.log' ERR
+trap 'echo "$0 FAILED at line ${LINENO}" | tee $OUTPUT/error-${PKGNAM}.log' ERR
# Catch unitialized variables:
set -u
P1=${1:-1}
case "$ARCH" in
- i486) SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ i586) SLKCFLAGS="-O2 -march=i586 -mtune=i686"
SLKLDFLAGS=""; LIBDIRSUFFIX=""
;;
s390) SLKCFLAGS="-O2"
@@ -132,11 +140,11 @@ esac
# Create working directories:
mkdir -p $OUTPUT # place for the package to be saved
-mkdir -p $TMP/tmp-$PRGNAM # location to build the source
+mkdir -p $TMP/tmp-$PKGNAM # location to build the source
mkdir -p $PKG # place for the package to be built
rm -rf $PKG/* # always erase old package's contents
-rm -rf $TMP/tmp-$PRGNAM/* # remove the remnants of previous build
-rm -rf $OUTPUT/{configure,make,install,error,makepkg}-$PRGNAM.log
+rm -rf $TMP/tmp-$PKGNAM/* # remove the remnants of previous build
+rm -rf $OUTPUT/{configure,make,install,error,makepkg}-$PKGNAM.log
# remove old log files
# Source file availability:
@@ -171,13 +179,13 @@ fi
# --- PACKAGE BUILDING ---
echo "++"
-echo "|| $PRGNAM-$VERSION"
+echo "|| $PKGNAM-$VERSION"
echo "++"
-cd $TMP/tmp-$PRGNAM
-echo "Extracting the source archive(s) for $PRGNAM..."
+cd $TMP/tmp-$PKGNAM
+echo "Extracting the source archive(s) for $PKGNAM..."
tar -xvf ${SOURCE}
-cd ${PRGNAM}-${VERSION}
+cd ${PKGNAM}-${VERSION}
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -194,7 +202,7 @@ cd client
chmod +x ffmpeg/doc/texi2pod.pl
# We do not use gnome:
cat $SRCDIR/electricsheep_gnome-open.patch | patch -p1 --verbose \
- 2>&1 | tee $OUTPUT/patch-$PRGNAM.log
+ 2>&1 | tee $OUTPUT/patch-$PKGNAM.log
# Prevent install errors due to missing gnome
sed -i -e "/^install-data-local:/,/^$/d" Makefile.in
LDFLAGS="$SLKLDFLAGS" \
@@ -205,9 +213,9 @@ cd client
--libdir=/usr/lib${LIBDIRSUFFIX} \
--mandir=/usr/man \
--build=$ARCH-slackware-linux \
- 2>&1 | tee $OUTPUT/configure-${PRGNAM}.log
- make -j 7 2>&1 | tee $OUTPUT/make-${PRGNAM}.log
- make DESTDIR=$PKG install 2>&1 |tee $OUTPUT/install-${PRGNAM}.log
+ 2>&1 | tee $OUTPUT/configure-${PKGNAM}.log
+ make -j 7 2>&1 | tee $OUTPUT/make-${PKGNAM}.log
+ make DESTDIR=$PKG install 2>&1 |tee $OUTPUT/install-${PKGNAM}.log
cd ..
# Then the flam3 (fractal flames) renderer:
cd flam3
@@ -220,23 +228,26 @@ cd flam3
--libdir=/usr/lib${LIBDIRSUFFIX} \
--mandir=/usr/man \
--build=$ARCH-slackware-linux \
- 2>&1 | tee $OUTPUT/configure-${PRGNAM}.log
- make -j 7 2>&1 | tee $OUTPUT/make-${PRGNAM}.log
- make DESTDIR=$PKG install 2>&1 |tee $OUTPUT/install-${PRGNAM}.log
+ 2>&1 | tee $OUTPUT/configure-${PKGNAM}.log
+ make -j 7 2>&1 | tee $OUTPUT/make-${PKGNAM}.log
+ make DESTDIR=$PKG install 2>&1 |tee $OUTPUT/install-${PKGNAM}.log
cd ..
+# Don't ship .la files:
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
# Add documentation:
-mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/{flam3,ffmpeg}
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION/{flam3,ffmpeg}
( cd client
- cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+ cp -a $DOCS $PKG/usr/doc/$PKGNAM-$VERSION
)
( cd client/ffmpeg
- cp -a $DOCS_FFMPEG $PKG/usr/doc/$PRGNAM-$VERSION/ffmpeg
+ cp -a $DOCS_FFMPEG $PKG/usr/doc/$PKGNAM-$VERSION/ffmpeg
)
( cd flam3
- cp -a $DOCS_FLAM3 $PKG/usr/doc/$PRGNAM-$VERSION/flam3
+ cp -a $DOCS_FLAM3 $PKG/usr/doc/$PKGNAM-$VERSION/flam3
)
-chown -R root:root $PKG/usr/doc/$PRGNAM-$VERSION
+chown -R root:root $PKG/usr/doc/$PKGNAM-$VERSION
find $PKG/usr/doc -type f -exec chmod 644 {} \;
cd client
@@ -272,8 +283,8 @@ cat $SRCDIR/slack-desc > $PKG/install/slack-desc
# Build the package:
cd $PKG
-makepkg --linkadd y --chown n $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.txz 2>&1 | tee $OUTPUT/makepkg-${PRGNAM}.log
+makepkg --linkadd y --chown n $OUTPUT/${PKGNAM}-${VERSION}-${ARCH}-${BUILD}.txz 2>&1 | tee $OUTPUT/makepkg-${PKGNAM}.log
cd $OUTPUT
-md5sum ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.txz > ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.txz.md5
+md5sum ${PKGNAM}-${VERSION}-${ARCH}-${BUILD}.txz > ${PKGNAM}-${VERSION}-${ARCH}-${BUILD}.txz.md5
cd -
-cat $PKG/install/slack-desc | grep "^${PRGNAM}" > $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.txt
+cat $PKG/install/slack-desc | grep "^${PKGNAM}" > $OUTPUT/${PKGNAM}-${VERSION}-${ARCH}-${BUILD}.txt